Piloterr

Similarweb Search

Search the Similarweb database to retrieve websites, companies, mobile apps, search keywords, and technologies associated with a given domain or keyword.

Credit cost: 1 credit per call

GET
/v2/similarweb/search

Authorization

ApiKeyAuth
x-api-key<token>

Your API key. Include it in the x-api-key header for every request.

In: header

Query Parameters

query*string

Domain name or keyword to search for in the Similarweb database.

Example:

google.com

Notes:

  • Domain search: Use a full domain (e.g. google.com) to find related websites, apps, companies, and technologies associated with that domain.
  • Keyword search: Use a plain keyword (e.g. amazon) to retrieve broader associations across the Similarweb index.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.piloterr.com/v2/similarweb/search?query=string"

{
  "apps": {
    "appStore": [],
    "googlePlay": []
  },
  "keywords": [
    "google",
    "google translate",
    "google maps",
    "google docs",
    "google drive",
    "google flights",
    "google scholar",
    "google gemini",
    "google map",
    "google tradutor"
  ],
  "websites": [
    {
      "name": "google.com",
      "image": "https://site-images.similarcdn.com/image?url=google.com&t=2&s=1&h=eb35e0fbafa3eb290132ffdfe47187d950d68daaa659ec1bd4b4e834b8f16461",
      "isVirtual": false
    },
    {
      "name": "google.com.br",
      "image": "https://site-images.similarcdn.com/image?url=google.com.br&t=2&s=1&h=f504c8926f9f375805be71b441f7e0075edd929c948130d744438f373adaf17c",
      "isVirtual": false
    },
    {
      "name": "google.com.hk",
      "image": "https://site-images.similarcdn.com/image?url=google.com.hk&t=2&s=1&h=8a5f5d19c15ef49cb7f696519e8e3a0c8624c4b3837ebd6f32b707650e0d8cc2",
      "isVirtual": false
    },
    {
      "name": "google.com.mx",
      "image": "https://site-images.similarcdn.com/image?url=google.com.mx&t=2&s=1&h=83f6c37012ec87b1250e08d4526d9c4e6ab2efe753b88a00221ad7f0b61937af",
      "isVirtual": false
    },
    {
      "name": "google.com.tw",
      "image": "https://site-images.similarcdn.com/image?url=google.com.tw&t=2&s=1&h=3233beffce0879e0ba5d45edbb1944a58b7a83662388554b3e7e2c2c8b55676a",
      "isVirtual": false
    },
    {
      "name": "google.com.vn",
      "image": "https://site-images.similarcdn.com/image?url=google.com.vn&t=2&s=1&h=98b085fee62d7c3114230d1e68facb8838af2e6d7cb538900fa8e8a315b9eb35",
      "isVirtual": false
    },
    {
      "name": "google.com.au",
      "image": "https://site-images.similarcdn.com/image?url=google.com.au&t=2&s=1&h=75e1999f2c7d28d56cad490b012b1ec4a120ecf8a656fc72d522258728d59cad",
      "isVirtual": false
    },
    {
      "name": "google.com.tr",
      "image": "https://site-images.similarcdn.com/image?url=google.com.tr&t=2&s=1&h=56f80540717eca7791d12ad63c8d821b0e8aad3378db7ac067f44c710829e0e5",
      "isVirtual": false
    },
    {
      "name": "google.com.ar",
      "image": "https://site-images.similarcdn.com/image?url=google.com.ar&t=2&s=1&h=a84e684d02bc6266e64492b5022004ff84c9146f836f0db9864d2adf4184b3d8",
      "isVirtual": false
    },
    {
      "name": "google.com.ua",
      "image": "https://site-images.similarcdn.com/image?url=google.com.ua&t=2&s=1&h=8835b452e239898cd81d835ee4b93695b013909af5853882c434b40f5adee3d4",
      "isVirtual": false
    }
  ],
  "companies": [],
  "technologies": []
}

{
  "error": "Bad Request"
}
{
  "error": "Invalid API Key"
}
{
  "error": "Payment required"
}
{
  "error": "Rate limit exceeded for the API key: quota monthly"
}
{
  "error": "Internal Error"
}